Package Details: powerpill 2020.12.15-2

Git Clone URL: https://aur.archlinux.org/powerpill.git (read-only, click to copy)
Package Base: powerpill
Description: Pacman wrapper for faster downloads.
Upstream URL: https://xyne.archlinux.ca/projects/powerpill
Keywords: arch_linux pacman system
Licenses: GPL
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 229
Popularity: 2.68
First Submitted: 2012-11-29 03:58
Last Updated: 2020-12-15 06:01

Dependencies (9)

Required by (1)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

elikoga commented on 2019-11-16 18:20

Doesn't work as of today, outputs: /usr/bin/python3: No module named Powerpill

princenna commented on 2019-07-24 12:44

After manjaro update today it works just fine, great tool

zerophase commented on 2019-07-07 13:30

@princenna @Spirit Try rebuilding aria2. Nettle was just updated for Arch, and aria2 requires that lib.

Xyne commented on 2019-07-06 13:14

Make sure that all of powerpill's dependencies are up-to-date (pyalpm, pm2ml, etc.). You can use my repo [1] to let pacman handle this automatically.

[1] https://xyne.archlinux.ca/repos/

princenna commented on 2019-07-05 11:52

I have the exact same problem as @Spirit and I am using the latest version of pyalpm

Xyne commented on 2019-05-01 14:59

@Spirit Are you using the latest version of pyalpm?

Spirit commented on 2019-04-25 08:48

Hey, noob here. I am getting this error when I try and run powerpill:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.7/site-packages/Powerpill.py", line 43, in <module>
    import pm2ml
  File "/usr/lib/python3.7/site-packages/pm2ml.py", line 38, in <module>
    import XCPF.PacmanConfig
  File "/usr/lib/python3.7/site-packages/XCPF/PacmanConfig.py", line 28, in <module>
    from pycman.config import pacman_conf_enumerator, _logmask, cb_log, LIST_OPTIONS, BOOLEAN_OPTIONS
ImportError: cannot import name 'pacman_conf_enumerator' from 'pycman.config' (/usr/lib/python3.7/site-packages/pycman/config.py)

I looked at ansatz's comment and on that link it says the patch that fixes this problem has been integrated, but it still doesn't work for me?

ansatz commented on 2019-01-19 12:26

The issue is caused by python3-xcpf. See here for a working patch: https://aur.archlinux.org/packages/python3-xcpf/

carbolymer commented on 2019-01-18 17:02

Powerpill is broken, it may be related to latest pycman, idk:

% powerpill -Syu
Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.7/site-packages/Powerpill.py", line 43, in <module>
    import pm2ml
  File "/usr/lib/python3.7/site-packages/pm2ml.py", line 38, in <module>
    import XCPF.PacmanConfig
  File "/usr/lib/python3.7/site-packages/XCPF/PacmanConfig.py", line 28, in <module>
    from pycman.config import pacman_conf_enumerator, _logmask, cb_log, LIST_OPTIONS, BOOLEAN_OPTIONS
ImportError: cannot import name 'pacman_conf_enumerator' from 'pycman.config' (/usr/lib/python3.7/site-packages/pycman/config.py)

mnkyhd commented on 2018-12-27 11:53

@Xyne I had the same problem on Manjaro. The contents of the try block is commented out. Uncommenting worked.

$ diff /usr/lib/python3.7/site-packages/Powerpill.py powerpill-2018.11/Powerpill.py 
55,56c55,56
< #import Reflector
< #OFFICIAL_REPOSITORIES = Reflector.MirrorStatus.REPOSITORIES
---
>   import Reflector
>   OFFICIAL_REPOSITORIES = Reflector.MirrorStatus.REPOSITORIES